# streamWrapper::stream_metadata

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

streamWrapper::stream_metadata — Cambiar los metadatos del flujo

### Descripción

public streamWrapper::stream_metadata(string `$path`, int `$option`, mixed `$value`): bool

Este método es llamado para establecer metadatos en el flujo. Se invoca cuando una de las siguientes funciones es llamada sobre un URL de flujo:

- touch()
- chmod()
- chown()
- chgrp()

Observe que algunas de estas operaciones pueden no estar disponibles en su sistema.

### Parámetros

`path`

  La ruta del fichero o el URL a establecer los metadatos. Observe que en caso de ser un URL, debe ser un URL delimitado por ://. No se admiten otros formatos de URL.

`option`

  Una de las siguientes opciones:

  - `STREAM_META_TOUCH` (El método fue llamado en respuesta a touch())
  - `STREAM_META_OWNER_NAME` (El método fue llamado en respuesta a chown() con parámetro de tipo string)
  - `STREAM_META_OWNER` (El método fue llamado en respuesta a chown())
  - `STREAM_META_GROUP_NAME` (El método fue llamado en respuesta a chgrp())
  - `STREAM_META_GROUP` (El método fue llamado en respuesta a chgrp())
  - `STREAM_META_ACCESS` (El método fue llamado en respuesta a chmod())
`value`

  Si el parámetro `option` es

  - `STREAM_META_TOUCH`: Array que consiste en dos argumentos de la función touch().
  - `STREAM_META_OWNER_NAME` o `STREAM_META_GROUP_NAME`: El nombre del usuario/grupo propietario como string.
  - `STREAM_META_OWNER` o `STREAM_META_GROUP`: El valor del argumento del usuario/grupo propietario como int.
  - `STREAM_META_ACCESS`: El argumento de la función chmod() como int.

### Valores devueltos

Devuelve `true` en caso de éxito o `false` en caso de error. Si `option` no se implementa, debería devolver `false`.

### Ver también

- touch() - Establece el momento de acceso y modificación de un archivo
- chmod() - Cambia el modo de un fichero
- chown() - Cambia el propietario del fichero
- chgrp() - Cambia el grupo del archivo